
ALL_SRC= \
	../../modularcv/input.tks \
	../../modularcv/output.tks \
	../../modularcv/module.tks \
	../../modularcv/patch.tks \
	../../modularcv/modcv_add.tks \
	../../modularcv/modcv_adsr.tks \
	../../modularcv/modcv_attenuvertor.tks \
	../../modularcv/modcv_autorpnslider.tks \
	../../modularcv/modcv_bernoulli.tks \
	../../modularcv/modcv_bezier01.tks \
	../../modularcv/modcv_clock.tks \
	../../modularcv/modcv_const.tks \
	../../modularcv/modcv_crossfade.tks \
	../../modularcv/modcv_cvseq16.tks \
	../../modularcv/modcv_delay.tks \
	../../modularcv/modcv_flip.tks \
	../../modularcv/modcv_gatehysteresis.tks \
	../../modularcv/modcv_gateoutput.tks \
	../../modularcv/modcv_input.tks \
	../../modularcv/modcv_keymap.tks \
	../../modularcv/modcv_ledmonitor.tks \
	../../modularcv/modcv_lfo.tks \
	../../modularcv/modcv_label.tks \
	../../modularcv/modcv_math.tks \
	../../modularcv/modcv_mix4.tks \
	../../modularcv/modcv_memory.tks \
	../../modularcv/modcv_multiple.tks \
	../../modularcv/modcv_multinoteout.tks \
	../../modularcv/modcv_noteinput.tks \
	../../modularcv/modcv_noteoutput.tks \
	../../modularcv/modcv_output.tks \
	../../modularcv/modcv_pan.tks \
	../../modularcv/modcv_patternquantizer.tks \
	../../modularcv/modcv_perfinput.tks \
	../../modularcv/modcv_perfoutput.tks \
	../../modularcv/modcv_quantizer.tks \
	../../modularcv/modcv_rpnctl.tks \
	../../modularcv/modcv_rpnout.tks \
	../../modularcv/modcv_rsh.tks \
	../../modularcv/modcv_serial.tks \
	../../modularcv/modcv_shift.tks \
	../../modularcv/modcv_shifttrig.tks \
	../../modularcv/modcv_shuttlecontrol.tks \
	../../modularcv/modcv_slew.tks \
	../../modularcv/modcv_spring.tks \
	../../modularcv/modcv_switch.tks \
	../../modularcv/modcv_transpose.tks \
	../../modularcv/modcv_trigseq16.tks \
	../../modularcv/modcv_trigtogate.tks \
	../../modularcv/modcv_unavail.tks \
	../../modularcv/modcv_vca.tks \
	NodeModular.tks \
	ModularRack.tks \
	NodeModularEditor.xfm \
	NodeModularEditor.tks \
	node_modular.tkp

node_modular.tsl: $(ALL_SRC)
	tks -cl node_modular && mv node_modular.tsl ../libraries/

.PHONY: clean
clean:
	rm -f node_modular.tsl
